Hogyan tudok a tárhelyemen különböző PHP verziókat használni könyvtáranként?

 

Ez a funkció nem érhető el a PHP Verziók és beállítások/Select PHP Version menüpont használatával, azonban meglehetősen egyszerű manuálisan elvégezni a szükséges beállításokat.

Az alábbiakban bemutatjuk, hogyan lehet a PHP_ változatokat könyvtáranként beállítani.

Tárhelyeink esetén a könyvtáranként elérhető és válaszható PHP verziók a következők:

PHP 5.6
PHP 7.0
PHP 7.1
PHP 7.2
PHP 7.3

(A PHP 7.4 –es verzió csak natívan a PHP Verziók menüpont használatával aktiválható és választható)


Ha egy adott könyvtárban a kívánt verziót szeretné használni, akkor csak adjon hozzá egy sort a .htaccess fájlhoz ebben a könyvtárban (vagy hozzon létre .htaccess fájlt azzal a sorral, ha nem található meg). Például, a php5.6 esetén, adja hozzá a következő sort:

 
AddHandler application/x-httpd-alt-php56___lsphp .php
 

Egyes PHP verziók beállítása értelemszerűen az adott verziószám változtatásával történik:

PHP 7.0               AddHandler application/x-httpd-alt-php70___lsphp .php

PHP 7.1               AddHandler application/x-httpd-alt-php71___lsphp .php

PHP 7.2               AddHandler application/x-httpd-alt-php72___lsphp .php

PHP 7.3               AddHandler application/x-httpd-alt-php73___lsphp .php

Ennek eredményeként az alkönyvtárak ugyanazt a PHP-verziót fogják használni, mint a szülő, kivéve, ha felülírja egy másik .htaccess-bejegyzéssel az alkönyvtárban.


Megjegyzés:
A PHP Verziók és beállítások menüpont alatt kiválasztott PHP verzió ne egyezzen meg azzal a verzióval amit a .htaccess -ben egy-egy könyvtárban egyénileg megadott. Egyező verzió esetén az admin felületen kiválasztott állapot az érvényes konfiguráció.


CRON feladatok beállítása.

Ha a cron feladat futtatása wget/curl hívással történik url eléréssel, akkor nincsen szükség külön módosításra.

Azonban ha a tárhelyen egyénileg beállított PHP verzió fut és az adott verzió beállítások szerint kell az oldalhoz kapcsolódó CRON feladatokat is beállítani, és közvetlenül php parancs futtatással kell az adott alkalmazást ütemezni akkor ez esetben a parancsot a következőként kell kezdeni:


/opt/cloudlinux/alt-phpXX/root/usr/bin/lsphp  php_file_neve.php

(a megfelelő verziót választva kell az XX helyén verziót meghívni, pl.: 5.6 esetén a alt-PHP56  formában kell megadni)


A könyvtáranként php választással megszűnik az egyéni modulok kiválasztása és betöltésének lehetősége, azaz csak az alapértelmezetten elérhetőek állnak rendelkezésre. Ezek az általános felhasználáshoz használhatóak. Ha egyéni beállításokra van szükség, akkor azt minden esetben csak a PHP Verziók és beállítások/Select PHP Version menüpont felületén keresztül lehet elvégezni.

A könyvtáranként történő PHP verzió beállítása elérhető a szervereinken, DE hivatalosan nem támogatott a használata. ezért az ezzel kapcsolatosan felmerülő problémákat és egyéni beállítással kapcsolatos kéréseket nem tudjuk teljesíteni, illetve nem tekinthetők hibának!

Hasznosnak találta ezt a választ? 0 A felhasználók hasznosnak találták ezt (0 Szavazat)